> ## Documentation Index
> Fetch the complete documentation index at: https://docs.typebot.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get published bot



## OpenAPI

````yaml GET /v1/typebots/{typebotId}/publishedTypebot
openapi: 3.0.3
info:
  title: Builder API
  version: 1.0.0
servers:
  - url: https://app.typebot.com/api
security: []
externalDocs:
  url: https://docs.typebot.com/api-reference
paths:
  /v1/typebots/{typebotId}/publishedTypebot:
    get:
      tags:
        - Typebot
      summary: Get published typebot
      operationId: typebot-getPublishedTypebot
      parameters:
        - in: path
          name: typebotId
          description: '[Where to find my bot''s ID?](../how-to#how-to-find-my-typebotid)'
          schema:
            type: string
            description: '[Where to find my bot''s ID?](../how-to#how-to-find-my-typebotid)'
          required: true
        - in: query
          name: migrateToLatestVersion
          description: >-
            If enabled, the typebot will be converted to the latest schema
            version
          schema:
            type: boolean
            default: false
            description: >-
              If enabled, the typebot will be converted to the latest schema
              version
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  publishedTypebot:
                    nullable: true
                    oneOf:
                      - $ref: '#/components/schemas/publicTypebotV6'
                      - $ref: '#/components/schemas/publicTypebotV5'
                    discriminator:
                      propertyName: version
                      mapping:
                        '3':
                          $ref: '#/components/schemas/publicTypebotV5'
                        '4':
                          $ref: '#/components/schemas/publicTypebotV5'
                        '5':
                          $ref: '#/components/schemas/publicTypebotV5'
                        '6':
                          $ref: '#/components/schemas/publicTypebotV6'
                        '6.1':
                          $ref: '#/components/schemas/publicTypebotV6'
                  version:
                    anyOf:
                      - type: string
                        enum:
                          - '3'
                          - '4'
                          - '5'
                      - type: string
                        enum:
                          - '6'
                          - '6.1'
                    description: >-
                      Provides the version the published bot was migrated from
                      if `migrateToLatestVersion` is set to `true`.
                required:
                  - publishedTypebot
        '400':
          description: Invalid input data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.BAD_REQUEST'
        '401':
          description: Authorization not provided
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.UNAUTHORIZED'
        '403':
          description: Insufficient access
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.FORBIDDEN'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.NOT_FOUND'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.INTERNAL_SERVER_ERROR'
      security:
        - Authorization: []
components:
  schemas:
    publicTypebotV6:
      type: object
      properties:
        id:
          type: string
        version:
          type: string
          enum:
            - '6'
            - '6.1'
        createdAt:
          type: string
        updatedAt:
          type: string
        lastActivityAt:
          type: string
          nullable: true
        typebotId:
          type: string
        groups:
          type: array
          items:
            $ref: '#/components/schemas/groupV6'
        events:
          type: array
          items:
            oneOf:
              - type: object
                properties:
                  id:
                    type: string
                  outgoingEdgeId:
                    type: string
                  graphCoordinates:
                    type: object
                    properties:
                      x:
                        type: number
                      'y':
                        type: number
                    required:
                      - x
                      - 'y'
                  type:
                    type: string
                    enum:
                      - start
                required:
                  - id
                  - graphCoordinates
                  - type
              - oneOf:
                  - type: object
                    properties:
                      id:
                        type: string
                      outgoingEdgeId:
                        type: string
                      graphCoordinates:
                        type: object
                        properties:
                          x:
                            type: number
                          'y':
                            type: number
                        required:
                          - x
                          - 'y'
                      type:
                        type: string
                        enum:
                          - command
                      options:
                        type: object
                        properties:
                          command:
                            type: string
                          resumeAfter:
                            type: boolean
                    required:
                      - id
                      - graphCoordinates
                      - type
                  - type: object
                    properties:
                      id:
                        type: string
                      outgoingEdgeId:
                        type: string
                      graphCoordinates:
                        type: object
                        properties:
                          x:
                            type: number
                          'y':
                            type: number
                        required:
                          - x
                          - 'y'
                      type:
                        type: string
                        enum:
                          - reply
                      options:
                        type: object
                        properties:
                          contentVariableId:
                            type: string
                          inputNameVariableId:
                            type: string
                          inputTypeVariableId:
                            type: string
                    required:
                      - id
                      - graphCoordinates
                      - type
                  - type: object
                    properties:
                      id:
                        type: string
                      outgoingEdgeId:
                        type: string
                      graphCoordinates:
                        type: object
                        properties:
                          x:
                            type: number
                          'y':
                            type: number
                        required:
                          - x
                          - 'y'
                      type:
                        type: string
                        enum:
                          - invalidReply
                      options:
                        type: object
                        properties:
                          contentVariableId:
                            type: string
                          inputNameVariableId:
                            type: string
                          inputTypeVariableId:
                            type: string
                    required:
                      - id
                      - graphCoordinates
                      - type
        edges:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              from:
                anyOf:
                  - type: object
                    properties:
                      blockId:
                        type: string
                      itemId:
                        type: string
                      pathId:
                        type: string
                    required:
                      - blockId
                  - type: object
                    properties:
                      eventId:
                        type: string
                    required:
                      - eventId
              to:
                type: object
                properties:
                  groupId:
                    type: string
                  blockId:
                    type: string
                required:
                  - groupId
            required:
              - id
              - from
              - to
        variables:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              name:
                type: string
              isSessionVariable:
                type: boolean
              value:
                nullable: true
                anyOf:
                  - type: string
                  - type: array
                    items:
                      type: string
                      nullable: true
            required:
              - id
              - name
        theme:
          $ref: '#/components/schemas/theme'
        settings:
          $ref: '#/components/schemas/settings'
      required:
        - id
        - version
        - createdAt
        - updatedAt
        - typebotId
        - groups
        - events
        - edges
        - variables
        - theme
        - settings
      title: Public Typebot V6
    publicTypebotV5:
      type: object
      properties:
        id:
          type: string
        version:
          type: string
          enum:
            - '3'
            - '4'
            - '5'
        createdAt:
          type: string
        updatedAt:
          type: string
        lastActivityAt:
          type: string
          nullable: true
        typebotId:
          type: string
        groups:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              title:
                type: string
              graphCoordinates:
                type: object
                properties:
                  x:
                    type: number
                  'y':
                    type: number
                required:
                  - x
                  - 'y'
              blocks:
                type: array
                items:
                  anyOf:
                    - type: object
                      properties:
                        id:
                          type: string
                        outgoingEdgeId:
                          type: string
                        type:
                          type: string
                          enum:
                            - start
                        label:
                          type: string
                      required:
                        - id
                        - type
                        - label
                    - oneOf:
                        - $ref: '#/components/schemas/textBlock'
                        - $ref: '#/components/schemas/imageBlock'
                        - $ref: '#/components/schemas/videoBlock'
                        - $ref: '#/components/schemas/embedBlock'
                        - $ref: '#/components/schemas/audioBlock'
                      discriminator:
                        propertyName: type
                        mapping:
                          text:
                            $ref: '#/components/schemas/textBlock'
                          image:
                            $ref: '#/components/schemas/imageBlock'
                          video:
                            $ref: '#/components/schemas/videoBlock'
                          embed:
                            $ref: '#/components/schemas/embedBlock'
                          audio:
                            $ref: '#/components/schemas/audioBlock'
                    - oneOf:
                        - $ref: '#/components/schemas/textInput'
                        - $ref: '#/components/schemas/email'
                        - $ref: '#/components/schemas/numberInput'
                        - $ref: '#/components/schemas/url'
                        - $ref: '#/components/schemas/phoneNumberInput'
                        - $ref: '#/components/schemas/dateInput'
                        - $ref: '#/components/schemas/time'
                        - $ref: '#/components/schemas/paymentInput'
                        - $ref: '#/components/schemas/rating'
                        - type: object
                          properties:
                            id:
                              type: string
                            outgoingEdgeId:
                              type: string
                            type:
                              type: string
                              enum:
                                - cards
                            items:
                              type: array
                              items:
                                type: object
                                properties:
                                  id:
                                    type: string
                                  outgoingEdgeId:
                                    type: string
                                  options:
                                    type: object
                                    properties:
                                      displayCondition:
                                        type: object
                                        properties:
                                          isEnabled:
                                            type: boolean
                                          condition:
                                            type: object
                                            properties:
                                              logicalOperator:
                                                type: string
                                                enum:
                                                  - OR
                                                  - AND
                                              comparisons:
                                                type: array
                                                items:
                                                  type: object
                                                  properties:
                                                    id:
                                                      type: string
                                                    variableId:
                                                      type: string
                                                    comparisonOperator:
                                                      type: string
                                                      enum:
                                                        - Equal to
                                                        - Not equal
                                                        - Contains
                                                        - Does not contain
                                                        - Greater than
                                                        - Greater or equal to
                                                        - Less than
                                                        - Less or equal to
                                                        - Is set
                                                        - Is empty
                                                        - Starts with
                                                        - Ends with
                                                        - Matches regex
                                                        - Does not match regex
                                                    value:
                                                      type: string
                                                  required:
                                                    - id
                                      internalValue:
                                        type: string
                                        nullable: true
                                  imageUrl:
                                    type: string
                                    nullable: true
                                  title:
                                    type: string
                                    nullable: true
                                  description:
                                    type: string
                                    nullable: true
                                  paths:
                                    type: array
                                    items:
                                      type: object
                                      properties:
                                        id:
                                          type: string
                                        text:
                                          type: string
                                        outgoingEdgeId:
                                          type: string
                                      required:
                                        - id
                                required:
                                  - id
                            options:
                              type: object
                              properties:
                                variableId:
                                  type: string
                                saveResponseMapping:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      field:
                                        type: string
                                        enum:
                                          - Image URL
                                          - Title
                                          - Description
                                          - Button
                                          - Internal Value
                                      variableId:
                                        type: string
                          required:
                            - id
                            - type
                            - items
                        - $ref: '#/components/schemas/buttonsInputV5'
                        - $ref: '#/components/schemas/fileInputV5'
                        - $ref: '#/components/schemas/pictureChoiceV5'
                    - oneOf:
                        - $ref: '#/components/schemas/scriptLogic'
                        - $ref: '#/components/schemas/redirectLogic'
                        - $ref: '#/components/schemas/setVariableLogic'
                        - $ref: '#/components/schemas/typebotLinkLogic'
                        - $ref: '#/components/schemas/waitLogic'
                        - $ref: '#/components/schemas/jumpLogic'
                        - $ref: '#/components/schemas/returnLogic'
                        - type: object
                          properties:
                            id:
                              type: string
                            outgoingEdgeId:
                              type: string
                            type:
                              type: string
                              enum:
                                - Condition
                            items:
                              type: array
                              items:
                                type: object
                                properties:
                                  id:
                                    type: string
                                  blockId:
                                    type: string
                                  outgoingEdgeId:
                                    type: string
                                  content:
                                    type: object
                                    properties:
                                      logicalOperator:
                                        type: string
                                        enum:
                                          - OR
                                          - AND
                                      comparisons:
                                        type: array
                                        items:
                                          type: object
                                          properties:
                                            id:
                                              type: string
                                            variableId:
                                              type: string
                                            comparisonOperator:
                                              type: string
                                              enum:
                                                - Equal to
                                                - Not equal
                                                - Contains
                                                - Does not contain
                                                - Greater than
                                                - Greater or equal to
                                                - Less than
                                                - Less or equal to
                                                - Is set
                                                - Is empty
                                                - Starts with
                                                - Ends with
                                                - Matches regex
                                                - Does not match regex
                                            value:
                                              type: string
                                          required:
                                            - id
                                required:
                                  - id
                          required:
                            - id
                            - type
                            - items
                        - type: object
                          properties:
                            id:
                              type: string
                            outgoingEdgeId:
                              type: string
                            type:
                              type: string
                              enum:
                                - AB test
                            items:
                              type: array
                              maxItems: 2
                              minItems: 2
                              items:
                                oneOf:
                                  - type: object
                                    properties:
                                      id:
                                        type: string
                                      blockId:
                                        type: string
                                      outgoingEdgeId:
                                        type: string
                                      path:
                                        type: string
                                        enum:
                                          - a
                                    required:
                                      - id
                                      - path
                                  - type: object
                                    properties:
                                      id:
                                        type: string
                                      blockId:
                                        type: string
                                      outgoingEdgeId:
                                        type: string
                                      path:
                                        type: string
                                        enum:
                                          - b
                                    required:
                                      - id
                                      - path
                            options:
                              type: object
                              properties:
                                aPercent:
                                  type: number
                                  minimum: 0
                                  maximum: 100
                          required:
                            - id
                            - type
                            - items
                    - oneOf:
                        - $ref: '#/components/schemas/chatwootBlock'
                        - $ref: '#/components/schemas/googleAnalyticsBlock'
                        - type: object
                          properties:
                            id:
                              type: string
                            outgoingEdgeId:
                              type: string
                            type:
                              type: string
                              enum:
                                - OpenAI
                            options:
                              oneOf:
                                - type: object
                                  properties:
                                    credentialsId:
                                      type: string
                                    baseUrl:
                                      type: string
                                    apiVersion:
                                      type: string
                                - type: object
                                  properties:
                                    task:
                                      type: string
                                      enum:
                                        - Create chat completion
                                    model:
                                      type: string
                                    messages:
                                      type: array
                                      items:
                                        anyOf:
                                          - type: object
                                            properties:
                                              id:
                                                type: string
                                              role:
                                                type: string
                                                enum:
                                                  - system
                                                  - user
                                                  - assistant
                                              content:
                                                type: string
                                              name:
                                                type: string
                                            required:
                                              - id
                                          - type: object
                                            properties:
                                              id:
                                                type: string
                                              role:
                                                type: string
                                                enum:
                                                  - Messages sequence ✨
                                              content:
                                                type: object
                                                properties:
                                                  assistantMessagesVariableId:
                                                    type: string
                                                  userMessagesVariableId:
                                                    type: string
                                            required:
                                              - id
                                              - role
                                          - type: object
                                            properties:
                                              id:
                                                type: string
                                              role:
                                                type: string
                                                enum:
                                                  - Dialogue
                                              dialogueVariableId:
                                                type: string
                                              startsBy:
                                                type: string
                                                enum:
                                                  - user
                                                  - assistant
                                            required:
                                              - id
                                              - role
                                    advancedSettings:
                                      type: object
                                      properties:
                                        temperature:
                                          anyOf:
                                            - type: string
                                            - type: number
                                    responseMapping:
                                      type: array
                                      items:
                                        type: object
                                        properties:
                                          id:
                                            type: string
                                          valueToExtract:
                                            type: string
                                            enum:
                                              - Message content
                                              - Total tokens
                                              - Prompt tokens
                                              - Completion tokens
                                          variableId:
                                            type: string
                                        required:
                                          - id
                                          - valueToExtract
                                    credentialsId:
                                      type: string
                                    baseUrl:
                                      type: string
                                    apiVersion:
                                      type: string
                                  required:
                                    - task
                                - type: object
                                  properties:
                                    task:
                                      type: string
                                      enum:
                                        - Create image
                                    prompt:
                                      type: string
                                    advancedOptions:
                                      type: object
                                      properties:
                                        size:
                                          type: string
                                          enum:
                                            - 256x256
                                            - 512x512
                                            - 1024x1024
                                    responseMapping:
                                      type: array
                                      items:
                                        type: object
                                        properties:
                                          id:
                                            type: string
                                          valueToExtract:
                                            type: string
                                            enum:
                                              - Image URL
                                          variableId:
                                            type: string
                                        required:
                                          - id
                                          - valueToExtract
                                    credentialsId:
                                      type: string
                                    baseUrl:
                                      type: string
                                    apiVersion:
                                      type: string
                                  required:
                                    - task
                                    - advancedOptions
                                    - responseMapping
                                - type: object
                                  properties:
                                    credentialsId:
                                      type: string
                                    baseUrl:
                                      type: string
                                    apiVersion:
                                      type: string
                                    task:
                                      type: string
                                      enum:
                                        - Create speech
                                    model:
                                      type: string
                                    input:
                                      type: string
                                    voice:
                                      type: string
                                      enum:
                                        - alloy
                                        - echo
                                        - fable
                                        - onyx
                                        - nova
                                        - shimmer
                                    saveUrlInVariableId:
                                      type: string
                                  required:
                                    - task
                          required:
                            - id
                            - type
                        - $ref: '#/components/schemas/sendEmailBlock'
                        - $ref: '#/components/schemas/pixelBlock'
                        - type: object
                          properties:
                            id:
                              type: string
                            outgoingEdgeId:
                              type: string
                            type:
                              type: string
                              enum:
                                - Google Sheets
                            options:
                              oneOf:
                                - type: object
                                  properties:
                                    credentialsId:
                                      type: string
                                    sheetId:
                                      type: string
                                    spreadsheetId:
                                      type: string
                                    action:
                                      type: string
                                      enum:
                                        - Get data from sheet
                                    referenceCell:
                                      type: object
                                      properties:
                                        column:
                                          type: string
                                        value:
                                          type: string
                                        id:
                                          type: string
                                      required:
                                        - id
                                    filter:
                                      type: object
                                      properties:
                                        comparisons:
                                          type: array
                                          items:
                                            type: object
                                            properties:
                                              id:
                                                type: string
                                              column:
                                                type: string
                                              comparisonOperator:
                                                type: string
                                                enum:
                                                  - Equal to
                                                  - Not equal
                                                  - Contains
                                                  - Does not contain
                                                  - Greater than
                                                  - Greater or equal to
                                                  - Less than
                                                  - Less or equal to
                                                  - Is set
                                                  - Is empty
                                                  - Starts with
                                                  - Ends with
                                                  - Matches regex
                                                  - Does not match regex
                                              value:
                                                type: string
                                            required:
                                              - id
                                        logicalOperator:
                                          type: string
                                          enum:
                                            - OR
                                            - AND
                                    cellsToExtract:
                                      type: array
                                      items:
                                        type: object
                                        properties:
                                          column:
                                            type: string
                                          id:
                                            type: string
                                          variableId:
                                            type: string
                                        required:
                                          - id
                                    totalRowsToExtract:
                                      type: string
                                      enum:
                                        - All
                                        - First
                                        - Last
                                        - Random
                                  required:
                                    - action
                                - type: object
                                  properties:
                                    credentialsId:
                                      type: string
                                    sheetId:
                                      type: string
                                    spreadsheetId:
                                      type: string
                                    action:
                                      type: string
                                      enum:
                                        - Insert a row
                                    cellsToInsert:
                                      type: array
                                      items:
                                        type: object
                                        properties:
                                          column:
                                            type: string
                                          value:
                                            type: string
                                          id:
                                            type: string
                                        required:
                                          - id
                                  required:
                                    - action
                                - type: object
                                  properties:
                                    credentialsId:
                                      type: string
                                    sheetId:
                                      type: string
                                    spreadsheetId:
                                      type: string
                                    action:
                                      type: string
                                      enum:
                                        - Update a row
                                    cellsToUpsert:
                                      type: array
                                      items:
                                        type: object
                                        properties:
                                          column:
                                            type: string
                                          value:
                                            type: string
                                          id:
                                            type: string
                                        required:
                                          - id
                                    referenceCell:
                                      type: object
                                      properties:
                                        column:
                                          type: string
                                        value:
                                          type: string
                                        id:
                                          type: string
                                      required:
                                        - id
                                    filter:
                                      type: object
                                      properties:
                                        comparisons:
                                          type: array
                                          items:
                                            type: object
                                            properties:
                                              id:
                                                type: string
                                              column:
                                                type: string
                                              comparisonOperator:
                                                type: string
                                                enum:
                                                  - Equal to
                                                  - Not equal
                                                  - Contains
                                                  - Does not contain
                                                  - Greater than
                                                  - Greater or equal to
                                                  - Less than
                                                  - Less or equal to
                                                  - Is set
                                                  - Is empty
                                                  - Starts with
                                                  - Ends with
                                                  - Matches regex
                                                  - Does not match regex
                                              value:
                                                type: string
                                            required:
                                              - id
                                        logicalOperator:
                                          type: string
                                          enum:
                                            - OR
                                            - AND
                                  required:
                                    - action
                                - type: object
                                  properties:
                                    credentialsId:
                                      type: string
                                    sheetId:
                                      type: string
                                    spreadsheetId:
                                      type: string
                          required:
                            - id
                            - type
                        - type: object
                          properties:
                            id:
                              type: string
                            outgoingEdgeId:
                              type: string
                            type:
                              type: string
                              enum:
                                - Make.com
                            options:
                              type: object
                              properties:
                                variablesForTest:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      id:
                                        type: string
                                      variableId:
                                        type: string
                                      value:
                                        type: string
                                    required:
                                      - id
                                responseVariableMapping:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      id:
                                        type: string
                                      variableId:
                                        type: string
                                      bodyPath:
                                        type: string
                                    required:
                                      - id
                                isCustomBody:
                                  type: boolean
                                isExecutedOnClient:
                                  type: boolean
                                webhook:
                                  type: object
                                  properties:
                                    id:
                                      type: string
                                    queryParams:
                                      type: array
                                      items:
                                        type: object
                                        properties:
                                          id:
                                            type: string
                                          key:
                                            type: string
                                          value:
                                            type: string
                                        required:
                                          - id
                                    headers:
                                      type: array
                                      items:
                                        type: object
                                        properties:
                                          id:
                                            type: string
                                          key:
                                            type: string
                                          value:
                                            type: string
                                        required:
                                          - id
                                    method:
                                      type: string
                                      enum:
                                        - POST
                                        - GET
                                        - PUT
                                        - DELETE
                                        - PATCH
                                        - HEAD
                                        - CONNECT
                                        - OPTIONS
                                        - TRACE
                                    url:
                                      type: string
                                    body:
                                      type: string
                                  required:
                                    - id
                                timeout:
                                  type: number
                                  minimum: 1
                                  maximum: 120
                                proxyCredentialsId:
                                  type: string
                            webhookId:
                              type: string
                          required:
                            - id
                            - type
                        - type: object
                          properties:
                            id:
                              type: string
                            outgoingEdgeId:
                              type: string
                            type:
                              type: string
                              enum:
                                - Pabbly
                            options:
                              type: object
                              properties:
                                variablesForTest:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      id:
                                        type: string
                                      variableId:
                                        type: string
                                      value:
                                        type: string
                                    required:
                                      - id
                                responseVariableMapping:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      id:
                                        type: string
                                      variableId:
                                        type: string
                                      bodyPath:
                                        type: string
                                    required:
                                      - id
                                isCustomBody:
                                  type: boolean
                                isExecutedOnClient:
                                  type: boolean
                                webhook:
                                  type: object
                                  properties:
                                    id:
                                      type: string
                                    queryParams:
                                      type: array
                                      items:
                                        type: object
                                        properties:
                                          id:
                                            type: string
                                          key:
                                            type: string
                                          value:
                                            type: string
                                        required:
                                          - id
                                    headers:
                                      type: array
                                      items:
                                        type: object
                                        properties:
                                          id:
                                            type: string
                                          key:
                                            type: string
                                          value:
                                            type: string
                                        required:
                                          - id
                                    method:
                                      type: string
                                      enum:
                                        - POST
                                        - GET
                                        - PUT
                                        - DELETE
                                        - PATCH
                                        - HEAD
                                        - CONNECT
                                        - OPTIONS
                                        - TRACE
                                    url:
                                      type: string
                                    body:
                                      type: string
                                  required:
                                    - id
                                timeout:
                                  type: number
                                  minimum: 1
                                  maximum: 120
                                proxyCredentialsId:
                                  type: string
                            webhookId:
                              type: string
                          required:
                            - id
                            - type
                        - type: object
                          properties:
                            id:
                              type: string
                            outgoingEdgeId:
                              type: string
                            type:
                              type: string
                              enum:
                                - Webhook
                              description: Legacy name for HTTP Request block
                            options:
                              type: object
                              properties:
                                variablesForTest:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      id:
                                        type: string
                                      variableId:
                                        type: string
                                      value:
                                        type: string
                                    required:
                                      - id
                                responseVariableMapping:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      id:
                                        type: string
                                      variableId:
                                        type: string
                                      bodyPath:
                                        type: string
                                    required:
                                      - id
                                isCustomBody:
                                  type: boolean
                                isExecutedOnClient:
                                  type: boolean
                                webhook:
                                  type: object
                                  properties:
                                    id:
                                      type: string
                                    queryParams:
                                      type: array
                                      items:
                                        type: object
                                        properties:
                                          id:
                                            type: string
                                          key:
                                            type: string
                                          value:
                                            type: string
                                        required:
                                          - id
                                    headers:
                                      type: array
                                      items:
                                        type: object
                                        properties:
                                          id:
                                            type: string
                                          key:
                                            type: string
                                          value:
                                            type: string
                                        required:
                                          - id
                                    method:
                                      type: string
                                      enum:
                                        - POST
                                        - GET
                                        - PUT
                                        - DELETE
                                        - PATCH
                                        - HEAD
                                        - CONNECT
                                        - OPTIONS
                                        - TRACE
                                    url:
                                      type: string
                                    body:
                                      type: string
                                  required:
                                    - id
                                timeout:
                                  type: number
                                  minimum: 1
                                  maximum: 120
                                proxyCredentialsId:
                                  type: string
                            webhookId:
                              type: string
                          required:
                            - id
                            - type
                        - type: object
                          properties:
                            id:
                              type: string
                            outgoingEdgeId:
                              type: string
                            type:
                              type: string
                              enum:
                                - Zapier
                            options:
                              type: object
                              properties:
                                variablesForTest:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      id:
                                        type: string
                                      variableId:
                                        type: string
                                      value:
                                        type: string
                                    required:
                                      - id
                                responseVariableMapping:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      id:
                                        type: string
                                      variableId:
                                        type: string
                                      bodyPath:
                                        type: string
                                    required:
                                      - id
                                isCustomBody:
                                  type: boolean
                                isExecutedOnClient:
                                  type: boolean
                                webhook:
                                  type: object
                                  properties:
                                    id:
                                      type: string
                                    queryParams:
                                      type: array
                                      items:
                                        type: object
                                        properties:
                                          id:
                                            type: string
                                          key:
                                            type: string
                                          value:
                                            type: string
                                        required:
                                          - id
                                    headers:
                                      type: array
                                      items:
                                        type: object
                                        properties:
                                          id:
                                            type: string
                                          key:
                                            type: string
                                          value:
                                            type: string
                                        required:
                                          - id
                                    method:
                                      type: string
                                      enum:
                                        - POST
                                        - GET
                                        - PUT
                                        - DELETE
                                        - PATCH
                                        - HEAD
                                        - CONNECT
                                        - OPTIONS
                                        - TRACE
                                    url:
                                      type: string
                                    body:
                                      type: string
                                  required:
                                    - id
                                timeout:
                                  type: number
                                  minimum: 1
                                  maximum: 120
                                proxyCredentialsId:
                                  type: string
                            webhookId:
                              type: string
                          required:
                            - id
                            - type
            required:
              - id
              - title
              - graphCoordinates
              - blocks
        events:
          type: array
        edges:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              from:
                anyOf:
                  - type: object
                    properties:
                      blockId:
                        type: string
                      itemId:
                        type: string
                      pathId:
                        type: string
                    required:
                      - blockId
                  - type: object
                    properties:
                      eventId:
                        type: string
                    required:
                      - eventId
              to:
                type: object
                properties:
                  groupId:
                    type: string
                  blockId:
                    type: string
                required:
                  - groupId
            required:
              - id
              - from
              - to
        variables:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              name:
                type: string
              isSessionVariable:
                type: boolean
              value:
                nullable: true
                anyOf:
                  - type: string
                  - type: array
                    items:
                      type: string
                      nullable: true
            required:
              - id
              - name
        theme:
          $ref: '#/components/schemas/theme'
        settings:
          $ref: '#/components/schemas/settings'
      required:
        - id
        - version
        - createdAt
        - updatedAt
        - typebotId
        - groups
        - events
        - edges
        - variables
        - theme
        - settings
      title: Public Typebot V5
    error.BAD_REQUEST:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Invalid input data
        code:
          type: string
          description: The error code
          example: BAD_REQUEST
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Invalid input data error (400)
      description: The error information
      example:
        code: BAD_REQUEST
        message: Invalid input data
        issues: []
    error.UNAUTHORIZED:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Authorization not provided
        code:
          type: string
          description: The error code
          example: UNAUTHORIZED
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Authorization not provided error (401)
      description: The error information
      example:
        code: UNAUTHORIZED
        message: Authorization not provided
        issues: []
    error.FORBIDDEN:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Insufficient access
        code:
          type: string
          description: The error code
          example: FORBIDDEN
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Insufficient access error (403)
      description: The error information
      example:
        code: FORBIDDEN
        message: Insufficient access
        issues: []
    error.NOT_FOUND:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Not found
        code:
          type: string
          description: The error code
          example: NOT_FOUND
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Not found error (404)
      description: The error information
      example:
        code: NOT_FOUND
        message: Not found
        issues: []
    error.INTERNAL_SERVER_ERROR:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Internal server error
        code:
          type: string
          description: The error code
          example: INTERNAL_SERVER_ERROR
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Internal server error error (500)
      description: The error information
      example:
        code: INTERNAL_SERVER_ERROR
        message: Internal server error
        issues: []
    groupV6:
      type: object
      properties:
        id:
          type: string
        title:
          type: string
        graphCoordinates:
          type: object
          properties:
            x:
              type: number
            'y':
              type: number
          required:
            - x
            - 'y'
        blocks:
          type: array
          items:
            anyOf:
              - type: object
                properties:
                  id:
                    type: string
                  outgoingEdgeId:
                    type: string
                  type:
                    type: string
                    enum:
                      - start
                  label:
                    type: string
                required:
                  - id
                  - type
                  - label
              - oneOf:
                  - $ref: '#/components/schemas/textBlock'
                  - $ref: '#/components/schemas/imageBlock'
                  - $ref: '#/components/schemas/videoBlock'
                  - $ref: '#/components/schemas/embedBlock'
                  - $ref: '#/components/schemas/audioBlock'
                discriminator:
                  propertyName: type
                  mapping:
                    text:
                      $ref: '#/components/schemas/textBlock'
                    image:
                      $ref: '#/components/schemas/imageBlock'
                    video:
                      $ref: '#/components/schemas/videoBlock'
                    embed:
                      $ref: '#/components/schemas/embedBlock'
                    audio:
                      $ref: '#/components/schemas/audioBlock'
              - oneOf:
                  - $ref: '#/components/schemas/textInput'
                  - $ref: '#/components/schemas/email'
                  - $ref: '#/components/schemas/numberInput'
                  - $ref: '#/components/schemas/url'
                  - $ref: '#/components/schemas/phoneNumberInput'
                  - $ref: '#/components/schemas/dateInput'
                  - $ref: '#/components/schemas/time'
                  - $ref: '#/components/schemas/paymentInput'
                  - $ref: '#/components/schemas/rating'
                  - type: object
                    properties:
                      id:
                        type: string
                      outgoingEdgeId:
                        type: string
                      type:
                        type: string
                        enum:
                          - cards
                      items:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                            outgoingEdgeId:
                              type: string
                            options:
                              type: object
                              properties:
                                displayCondition:
                                  type: object
                                  properties:
                                    isEnabled:
                                      type: boolean
                                    condition:
                                      type: object
                                      properties:
                                        logicalOperator:
                                          type: string
                                          enum:
                                            - OR
                                            - AND
                                        comparisons:
                                          type: array
                                          items:
                                            type: object
                                            properties:
                                              id:
                                                type: string
                                              variableId:
                                                type: string
                                              comparisonOperator:
                                                type: string
                                                enum:
                                                  - Equal to
                                                  - Not equal
                                                  - Contains
                                                  - Does not contain
                                                  - Greater than
                                                  - Greater or equal to
                                                  - Less than
                                                  - Less or equal to
                                                  - Is set
                                                  - Is empty
                                                  - Starts with
                                                  - Ends with
                                                  - Matches regex
                                                  - Does not match regex
                                              value:
                                                type: string
                                            required:
                                              - id
                                internalValue:
                                  type: string
                                  nullable: true
                            imageUrl:
                              type: string
                              nullable: true
                            title:
                              type: string
                              nullable: true
                            description:
                              type: string
                              nullable: true
                            paths:
                              type: array
                              items:
                                type: object
                                properties:
                                  id:
                                    type: string
                                  text:
                                    type: string
                                  outgoingEdgeId:
                                    type: string
                                required:
                                  - id
                          required:
                            - id
                      options:
                        type: object
                        properties:
                          variableId:
                            type: string
                          saveResponseMapping:
                            type: array
                            items:
                              type: object
                              properties:
                                field:
                                  type: string
                                  enum:
                                    - Image URL
                                    - Title
                                    - Description
                                    - Button
                                    - Internal Value
                                variableId:
                                  type: string
                    required:
                      - id
                      - type
                      - items
                  - $ref: '#/components/schemas/buttonsInput'
                  - $ref: '#/components/schemas/fileInput'
                  - $ref: '#/components/schemas/pictureChoice'
              - oneOf:
                  - $ref: '#/components/schemas/scriptLogic'
                  - $ref: '#/components/schemas/redirectLogic'
                  - $ref: '#/components/schemas/setVariableLogic'
                  - $ref: '#/components/schemas/typebotLinkLogic'
                  - $ref: '#/components/schemas/waitLogic'
                  - $ref: '#/components/schemas/jumpLogic'
                  - $ref: '#/components/schemas/returnLogic'
                  - $ref: '#/components/schemas/conditionLogic'
                  - $ref: '#/components/schemas/abTestLogic'
                  - $ref: '#/components/schemas/webhookLogic'
                discriminator:
                  propertyName: type
                  mapping:
                    Code:
                      $ref: '#/components/schemas/scriptLogic'
                    Redirect:
                      $ref: '#/components/schemas/redirectLogic'
                    Set variable:
                      $ref: '#/components/schemas/setVariableLogic'
                    Typebot link:
                      $ref: '#/components/schemas/typebotLinkLogic'
                    Wait:
                      $ref: '#/components/schemas/waitLogic'
                    Jump:
                      $ref: '#/components/schemas/jumpLogic'
                    Return:
                      $ref: '#/components/schemas/returnLogic'
                    Condition:
                      $ref: '#/components/schemas/conditionLogic'
                    AB test:
                      $ref: '#/components/schemas/abTestLogic'
                    webhook:
                      $ref: '#/components/schemas/webhookLogic'
              - oneOf:
                  - $ref: '#/components/schemas/chatwootBlock'
                  - $ref: '#/components/schemas/googleAnalyticsBlock'
                  - type: object
                    properties:
                      id:
                        type: string
                      outgoingEdgeId:
                        type: string
                      type:
                        type: string
                        enum:
                          - OpenAI
                      options:
                        oneOf:
                          - type: object
                            properties:
                              credentialsId:
                                type: string
                              baseUrl:
                                type: string
                              apiVersion:
                                type: string
                          - type: object
                            properties:
                              task:
                                type: string
                                enum:
                                  - Create chat completion
                              model:
                                type: string
                              messages:
                                type: array
                                items:
                                  anyOf:
                                    - type: object
                                      properties:
                                        id:
                                          type: string
                                        role:
                                          type: string
                                          enum:
                                            - system
                                            - user
                                            - assistant
                                        content:
                                          type: string
                                        name:
                                          type: string
                                      required:
                                        - id
                                    - type: object
                                      properties:
                                        id:
                                          type: string
                                        role:
                                          type: string
                                          enum:
                                            - Messages sequence ✨
                                        content:
                                          type: object
                                          properties:
                                            assistantMessagesVariableId:
                                              type: string
                                            userMessagesVariableId:
                                              type: string
                                      required:
                                        - id
                                        - role
                                    - type: object
                                      properties:
                                        id:
                                          type: string
                                        role:
                                          type: string
                                          enum:
                                            - Dialogue
                                        dialogueVariableId:
                                          type: string
                                        startsBy:
                                          type: string
                                          enum:
                                            - user
                                            - assistant
                                      required:
                                        - id
                                        - role
                              advancedSettings:
                                type: object
                                properties:
                                  temperature:
                                    anyOf:
                                      - type: string
                                      - type: number
                              responseMapping:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    id:
                                      type: string
                                    valueToExtract:
                                      type: string
                                      enum:
                                        - Message content
                                        - Total tokens
                                        - Prompt tokens
                                        - Completion tokens
                                    variableId:
                                      type: string
                                  required:
                                    - id
                                    - valueToExtract
                              credentialsId:
                                type: string
                              baseUrl:
                                type: string
                              apiVersion:
                                type: string
                            required:
                              - task
                          - type: object
                            properties:
                              task:
                                type: string
                                enum:
                                  - Create image
                              prompt:
                                type: string
                              advancedOptions:
                                type: object
                                properties:
                                  size:
                                    type: string
                                    enum:
                                      - 256x256
                                      - 512x512
                                      - 1024x1024
                              responseMapping:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    id:
                                      type: string
                                    valueToExtract:
                                      type: string
                                      enum:
                                        - Image URL
                                    variableId:
                                      type: string
                                  required:
                                    - id
                                    - valueToExtract
                              credentialsId:
                                type: string
                              baseUrl:
                                type: string
                              apiVersion:
                                type: string
                            required:
                              - task
                              - advancedOptions
                              - responseMapping
                          - type: object
                            properties:
                              credentialsId:
                                type: string
                              baseUrl:
                                type: string
                              apiVersion:
                                type: string
                              task:
                                type: string
                                enum:
                                  - Create speech
                              model:
                                type: string
                              input:
                                type: string
                              voice:
                                type: string
                                enum:
                                  - alloy
                                  - echo
                                  - fable
                                  - onyx
                                  - nova
                                  - shimmer
                              saveUrlInVariableId:
                                type: string
                            required:
                              - task
                    required:
                      - id
                      - type
                  - $ref: '#/components/schemas/sendEmailBlock'
                  - $ref: '#/components/schemas/pixelBlock'
                  - $ref: '#/components/schemas/googleSheetsBlock'
                  - $ref: '#/components/schemas/makeComBlock'
                  - $ref: '#/components/schemas/pabblyConnectBlock'
                  - type: object
                    properties:
                      id:
                        type: string
                      outgoingEdgeId:
                        type: string
                      type:
                        type: string
                        enum:
                          - Webhook
                        description: Legacy name for HTTP Request block
                      options:
                        type: object
                        properties:
                          variablesForTest:
                            type: array
                            items:
                              type: object
                              properties:
                                id:
                                  type: string
                                variableId:
                                  type: string
                                value:
                                  type: string
                              required:
                                - id
                          responseVariableMapping:
                            type: array
                            items:
                              type: object
                              properties:
                                id:
                                  type: string
                                variableId:
                                  type: string
                                bodyPath:
                                  type: string
                              required:
                                - id
                          isCustomBody:
                            type: boolean
                          isExecutedOnClient:
                            type: boolean
                          webhook:
                            $ref: '#/components/schemas/httpRequestBlock'
                          timeout:
                            type: number
                            minimum: 1
                            maximum: 120
                          proxyCredentialsId:
                            type: string
                    required:
                      - id
                      - type
                  - $ref: '#/components/schemas/zapierBlock'
              - oneOf:
                  - $ref: '#/components/schemas/openaiBlock'
                  - $ref: '#/components/schemas/cal-comBlock'
                  - $ref: '#/components/schemas/chat-nodeBlock'
                  - $ref: '#/components/schemas/qr-codeBlock'
                  - $ref: '#/components/schemas/dify-aiBlock'
                  - $ref: '#/components/schemas/mistralBlock'
                  - $ref: '#/components/schemas/elevenlabsBlock'
                  - $ref: '#/components/schemas/anthropicBlock'
                  - $ref: '#/components/schemas/together-aiBlock'
                  - $ref: '#/components/schemas/open-routerBlock'
                  - $ref: '#/components/schemas/nocodbBlock'
                  - $ref: '#/components/schemas/segmentBlock'
                  - $ref: '#/components/schemas/groqBlock'
                  - $ref: '#/components/schemas/zendeskBlock'
                  - $ref: '#/components/schemas/posthogBlock'
                  - $ref: '#/components/schemas/perplexityBlock'
                  - $ref: '#/components/schemas/deepseekBlock'
                  - $ref: '#/components/schemas/blinkBlock'
                  - $ref: '#/components/schemas/gmailBlock'
                discriminator:
                  propertyName: type
                  mapping:
                    openai:
                      $ref: '#/components/schemas/openaiBlock'
                    cal-com:
                      $ref: '#/components/schemas/cal-comBlock'
                    chat-node:
                      $ref: '#/components/schemas/chat-nodeBlock'
                    qr-code:
                      $ref: '#/components/schemas/qr-codeBlock'
                    dify-ai:
                      $ref: '#/components/schemas/dify-aiBlock'
                    mistral:
                      $ref: '#/components/schemas/mistralBlock'
                    elevenlabs:
                      $ref: '#/components/schemas/elevenlabsBlock'
                    anthropic:
                      $ref: '#/components/schemas/anthropicBlock'
                    together-ai:
                      $ref: '#/components/schemas/together-aiBlock'
                    open-router:
                      $ref: '#/components/schemas/open-routerBlock'
                    nocodb:
                      $ref: '#/components/schemas/nocodbBlock'
                    segment:
                      $ref: '#/components/schemas/segmentBlock'
                    groq:
                      $ref: '#/components/schemas/groqBlock'
                    zendesk:
                      $ref: '#/components/schemas/zendeskBlock'
                    posthog:
                      $ref: '#/components/schemas/posthogBlock'
                    perplexity:
                      $ref: '#/components/schemas/perplexityBlock'
                    deepseek:
                      $ref: '#/components/schemas/deepseekBlock'
                    blink:
                      $ref: '#/components/schemas/blinkBlock'
                    gmail:
                      $ref: '#/components/schemas/gmailBlock'
      required:
        - id
        - title
        - graphCoordinates
        - blocks
      title: Group V6
    theme:
      type: object
      properties:
        general:
          type: object
          properties:
            font:
              anyOf:
                - type: string
                - oneOf:
                    - type: object
                      properties:
                        type:
                          type: string
                          enum:
                            - Google
                        family:
                          type: string
                      required:
                        - type
                    - type: object
                      properties:
                        type:
                          type: string
                          enum:
                            - Custom
                        family:
                          type: string
                        css:
                          type: string
                        url:
                          type: string
                          description: Deprecated, use `css` instead
                      required:
                        - type
            background:
              type: object
              properties:
                type:
                  type: string
                  enum:
                    - Color
                    - Image
                    - None
                content:
                  type: string
            progressBar:
              type: object
              properties:
                isEnabled:
                  type: boolean
                color:
                  type: string
                backgroundColor:
                  type: string
                placement:
                  type: string
                  enum:
                    - Top
                    - Bottom
                thickness:
                  type: number
                position:
                  type: string
                  enum:
                    - fixed
                    - absolute
        chat:
          type: object
          properties:
            container:
              type: object
              properties:
                maxWidth:
                  type: string
                maxHeight:
                  type: string
                backgroundColor:
                  type: string
                color:
                  type: string
                blur:
                  type: number
                opacity:
                  type: number
                  minimum: 0
                  maximum: 1
                shadow:
                  type: string
                  enum:
                    - none
                    - sm
                    - md
                    - lg
                    - xl
                    - 2xl
                border:
                  type: object
                  properties:
[...]
